package tech.powerjob.work.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 主要陆域水域设施
 * @TableName SHORELINE_MANAGE_INFO
 */
@TableName(value ="SHORELINE_MANAGE_INFO")
@Data
public class ShorelineManageInfo implements Serializable {
    /**
     * 该表的主键
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 岸线证书编号
     */
    @TableField(value = "LINE_CODE")
    private String lineCode;

    /**
     * 许可决定书号
     */
    @TableField(value = "EXEQUATUR_CODE")
    private String exequaturCode;

    /**
     * 岸线使用期限类型
     */
    @TableField(value = "LINE_APPROVE_TYPE")
    private String lineApproveType;

    /**
     * 港口岸线使用人（单位名称）
     */
    @TableField(value = "LINE_USER")
    private String lineUser;

    /**
     * 企业经营办公地址
     */
    @TableField(value = "CONTACT_ADDRESS")
    private String contactAddress;

    /**
     * 核准使用长度（米）
     */
    @TableField(value = "APPROVED_LENGTH")
    private BigDecimal approvedLength;

    /**
     * 岸线使用功能
     */
    @TableField(value = "MAIN_USE")
    private String mainUse;

    /**
     * 相邻上游用户
     */
    @TableField(value = "NEAR_UP_USER")
    private String nearUpUser;

    /**
     * 相邻下游用户
     */
    @TableField(value = "NEAR_DOWN_USER")
    private String nearDownUser;

    /**
     * 岸线使用批准机关
     */
    @TableField(value = "AUTHORITY_ORZ")
    private String authorityOrz;

    /**
     * 核发日期
     */
    @TableField(value = "ISSUE_DATE")
    private Date issueDate;

    /**
     * 使用有效期起
     */
    @TableField(value = "EFFECTIVE_START_DATE")
    private Date effectiveStartDate;

    /**
     * 使用年限
     */
    @TableField(value = "EFFECTIVE_YEAR")
    private String effectiveYear;

    /**
     * 
     */
    @TableField(value = "MAJOR_WATER_AREA_FACILITY")
    private String majorWaterAreaFacility;

    /**
     * 说明
     */
    @TableField(value = "EXPLAIN")
    private String explain;

    /**
     * 经度
     */
    @TableField(value = "LONGITUDE")
    private String longitude;

    /**
     * 纬度
     */
    @TableField(value = "LATITUDE")
    private String latitude;

    /**
     * 备注
     */
    @TableField(value = "REMARK")
    private String remark;

    /**
     * 岸线地理位置所在行政区
     */
    @TableField(value = "BELONG_COUNTRY")
    private String belongCountry;

    /**
     * 地理位置信息
     */
    @TableField(value = "LOCATION")
    private String location;

    /**
     * 岸线审批市/区类型
     */
    @TableField(value = "LINE_TYPE")
    private String lineType;

    /**
     * 更新时间
     */
    @TableField(value = "FBDATE")
    private Date fbdate;

    /**
     * 是否提交 0 保存，1提交
     */
    @TableField(value = "IS_SUBMIT")
    private Long isSubmit;

    /**
     * 是否有更新 0否，1是
     */
    @TableField(value = "IS_UPDATE")
    private Long isUpdate;

    /**
     * 更新人
     */
    @TableField(value = "UPDATE_USER")
    private String updateUser;

    /**
     * 使用有效期止
     */
    @TableField(value = "EFFECTIVE_END_DATE")
    private Date effectiveEndDate;

    /**
     * 社会统一信用代码
     */
    @TableField(value = "CREDIT_CODE")
    private String creditCode;

    /**
     * 法定代表人
     */
    @TableField(value = "FDDBR")
    private String fddbr;

    /**
     * 注册地址
     */
    @TableField(value = "REGISTER_ADDRESS")
    private String registerAddress;

    /**
     * 法定代表人联系电话
     */
    @TableField(value = "FD_PHONE")
    private String fdPhone;

    /**
     * 联系人
     */
    @TableField(value = "CONTACT_PEOPLE")
    private String contactPeople;

    /**
     * 联系人电话
     */
    @TableField(value = "CONTACT_PHONE")
    private String contactPhone;

    /**
     * 所在航段/航道
     */
    @TableField(value = "BELONG_SHORE")
    private String belongShore;

    /**
     * 岸别
     */
    @TableField(value = "SHORE_SEPARATION")
    private String shoreSeparation;

    /**
     * 岸线用途
     */
    @TableField(value = "LINE_USAGE")
    private String lineUsage;

    /**
     * 码头平面布置型式
     */
    @TableField(value = "WHARF_LAYOUT_TYPE")
    private String wharfLayoutType;

    /**
     * 岸线性质
     */
    @TableField(value = "SHORELINE_PROPERTY")
    private String shorelineProperty;

    /**
     * 泊位总数
     */
    @TableField(value = "BERTH_NUMBER")
    private Long berthNumber;

    /**
     * 靠泊最大吨位
     */
    @TableField(value = "MAX_BERTH_TON")
    private BigDecimal maxBerthTon;

    /**
     * 泊位总长度（米）
     */
    @TableField(value = "BERTH_LENGTH")
    private BigDecimal berthLength;

    /**
     * 码头作业状态
     */
    @TableField(value = "DOCK_STATUS")
    private String dockStatus;

    /**
     * 港口经营人单位名称
     */
    @TableField(value = "DOCK_OP_NAME")
    private String dockOpName;

    /**
     * 港口经营人统一社会信用代码
     */
    @TableField(value = "DOCK_CREDIT_CODE")
    private String dockCreditCode;

    /**
     * 港口经营许可证号
     */
    @TableField(value = "DOCK_CERTNUMBER")
    private String dockCertnumber;

    /**
     * 该记录创建时间
     */
    @TableField(value = "C_DATE")
    private Date cDate;

    /**
     * 该记录创建人
     */
    @TableField(value = "C_USER")
    private String cUser;

    /**
     * 该记录更新时间
     */
    @TableField(value = "U_DATE")
    private Date uDate;

    /**
     * 该记录更新人
     */
    @TableField(value = "U_USER")
    private String uUser;

    /**
     * 按规定是否需要缴纳港口岸线使用费
     */
    @TableField(value = "NEED_PAY")
    private Long needPay;

    /**
     * 经营证照有效期止
     */
    @TableField(value = "DOCK_EFFECT_END")
    private Date dockEffectEnd;

    /**
     * 缴费单位名称
     */
    @TableField(value = "PAY_UNIT_NAME")
    private String payUnitName;

    /**
     * 缴费单位统一社会信用代码
     */
    @TableField(value = "PAY_CREDIT_CODE")
    private String payCreditCode;

    /**
     * 缴费单位账号
     */
    @TableField(value = "PAY_ACCOUNT")
    private String payAccount;

    /**
     * 缴费单位开户行
     */
    @TableField(value = "PAY_BELONG_BANK")
    private String payBelongBank;

    /**
     * 是否需要或提交缴费委托协议
     */
    @TableField(value = "NEED_PAY_COMMIT")
    private Long needPayCommit;

    /**
     * 缴费周期
     */
    @TableField(value = "PAY_CYCLE")
    private String payCycle;

    /**
     * 周期内应缴费金额（元）
     */
    @TableField(value = "PAY_COUNT")
    private BigDecimal payCount;

    /**
     * 缴费单位电子票据接受电子邮箱
     */
    @TableField(value = "PAY_ACCEPT_MAIL")
    private String payAcceptMail;

    /**
     * 缴费联系人
     */
    @TableField(value = "PAY_CONTACT")
    private String payContact;

    /**
     * 联系手机和电话
     */
    @TableField(value = "PAY_PHONE")
    private String payPhone;

    /**
     * 岸线使用管理事权分类
     */
    @TableField(value = "SHORELINE_MANAGE_TYPE")
    private String shorelineManageType;

    /**
     * 岸线使用管理机构
     */
    @TableField(value = "SHORELINE_MANAGE_ORZ")
    private String shorelineManageOrz;

    /**
     * 0 未删除
     */
    @TableField(value = "IS_DELETE")
    private Long isDelete;

    @TableField("LINE_STATUS")
    private Integer lineStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}