package tech.powerjob.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import tech.powerjob.work.entity.ShorelineManageInfo;
import tech.powerjob.work.mapper.ShorelineManageInfoMapper;
import tech.powerjob.work.service.ShorelineManageInfoService;
import tech.powerjob.work.util.ReturnMsg;
import tech.powerjob.worker.core.processor.ProcessResult;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author csdl
 * @description 针对表【SHORELINE_MANAGE_INFO(主要陆域水域设施)】的数据库操作Service实现
 * @createDate 2024-05-31 11:22:20
 */
@Service
@Slf4j
public class ShorelineManageInfoServiceImpl extends ServiceImpl<ShorelineManageInfoMapper, ShorelineManageInfo>
        implements ShorelineManageInfoService {

    @Resource
    private ShorelineManageInfoMapper shorelineManageInfoMapper;

    @Override
    public ProcessResult updateStatus() {
        List<ShorelineManageInfo> shorelineManageInfos = shorelineManageInfoMapper.getAllNeedUpdate();
        if (shorelineManageInfos.isEmpty()) {
            log.info("本次无过期数据");
            return new ProcessResult(true,"本次无更新");
        } else {
            shorelineManageInfos.forEach(i -> {
                i.setLineStatus(2);
                i.setUDate(new Date());
            });
            boolean updated = this.updateBatchById(shorelineManageInfos);
            if (updated) {
                log.info("本次更新数据内容{}", shorelineManageInfos);
                return ReturnMsg.returnMsg(true,"更新成功");
            } else {
                log.error("更新失败");
                return ReturnMsg.returnMsg(false,"更新失败");
            }
        }
    }
}




